Bug 7947 - 440/490 Koha Mapping
Summary: 440/490 Koha Mapping
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor with 2 votes (vote)
Assignee: Katrin Fischer
QA Contact:
URL: cgi-bin/koha/admin/koha2marclinks.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-12 12:11 UTC by Nicole C. Engard
Modified: 2020-05-11 20:59 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer (3.78 KB, patch)
2020-03-28 10:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer (5.48 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in es-ES installer (5.69 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer (37.78 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer (5.61 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer (37.19 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer (39.96 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer (39.70 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer (64.84 KB, patch)
2020-03-28 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer (3.85 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer (5.54 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in es-ES installer (5.75 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer (37.84 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer (5.67 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer (37.25 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer (40.03 KB, patch)
2020-04-23 11:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer (39.76 KB, patch)
2020-04-23 11:45 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer (62.74 KB, patch)
2020-04-23 11:45 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: follow-up fix 490 subfield visibility (EN) (2.17 KB, patch)
2020-04-23 11:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: follow-up fix 490 subfield visibility (DE) (2.19 KB, patch)
2020-04-23 11:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: follow-up fix 490 subfield visibility (ES) (2.19 KB, patch)
2020-04-23 11:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: follow-up fix 490 subfield visibility (IT) (2.19 KB, patch)
2020-04-23 11:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer (3.92 KB, patch)
2020-05-04 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer (5.61 KB, patch)
2020-05-04 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer (37.91 KB, patch)
2020-05-04 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer (5.75 KB, patch)
2020-05-04 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer (37.33 KB, patch)
2020-05-04 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer (40.10 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer (39.83 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer (62.81 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: (follow-up) fix 490 subfield visibility (EN) (2.25 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: (follow-up) fix 490 subfield visibility (DE) (2.27 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7947: (follow-up) fix 490 subfield visibility (IT) (2.27 KB, patch)
2020-05-04 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-12 12:11:04 UTC
The new Marc standard is that the 490a is the series title, but it's still mapped to 440a here: cgi-bin/koha/admin/koha2marclinks.pl 

We should probably change the default mapping.

Nicole
Comment 1 Katrin Fischer 2015-06-06 22:27:51 UTC
Amazingly, this is still valid.
Comment 2 Mirko Tietgen 2015-08-02 12:13:18 UTC
We also still have 440 visible by default in the frameworks and 490 hidden.
Comment 3 Katrin Fischer 2020-03-28 10:33:58 UTC
Created attachment 102030 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 4 Katrin Fischer 2020-03-28 10:34:06 UTC
Created attachment 102031 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 5 Katrin Fischer 2020-03-28 10:34:10 UTC
Created attachment 102032 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in es-ES installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 6 Katrin Fischer 2020-03-28 10:34:15 UTC
Created attachment 102033 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 7 Katrin Fischer 2020-03-28 10:34:19 UTC
Created attachment 102034 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 8 Katrin Fischer 2020-03-28 10:34:23 UTC
Created attachment 102035 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 9 Katrin Fischer 2020-03-28 10:34:27 UTC
Created attachment 102036 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 10 Katrin Fischer 2020-03-28 10:34:31 UTC
Created attachment 102037 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 11 Katrin Fischer 2020-03-28 10:34:36 UTC
Created attachment 102038 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks
Comment 12 Katrin Fischer 2020-03-28 10:35:38 UTC
As we have some ongoing changes with the new yml syntax for installer files, I kept the languages separate. This way it will be easy to adapt or leave them out when needed.
Comment 13 Frank Hansen 2020-04-01 11:28:34 UTC
(In reply to Katrin Fischer from comment #12)
> As we have some ongoing changes with the new yml syntax for installer files,
> I kept the languages separate. This way it will be easy to adapt or leave
> them out when needed.

Katrin, if I get it right, the koha field biblioitems.number should also have a new mapping. Perhaps it should be mapped to 830p instead of 440n.
Comment 14 George Veranis 2020-04-22 08:56:42 UTC
Propably we should change to 830$n instead of 830$p , based on description of the field https://www.loc.gov/marc/bibliographic/bd830.html
Comment 15 Katrin Fischer 2020-04-22 09:51:53 UTC
I think it's good we can map multiple fields now :)

I've focused here on the change from 440 to 490. Would you all agree for this to be an improvement for now, so we could move further refinement to a separate bug?

The patches attached took me quite a while to write, as I am not a script wizard and did them manually. If one of you wants to have a go for additional changes, please go for it as I will have to foucs on my QA duties a bit more and probably won't find the time soon.

Generally:
$n = number, 
$p = part, 
$v = volume (probably usually a number?)

The 8xx should usually appear with a 490 for traced series, although I am not sure every library sticks to that "ideal" cataloguing. Therefore I think mapping 490 is good and it's also needed for untraced series.

For 8xx we could then do:

http://www.loc.gov/marc/bibliographic/bd80x83x.html
800, 810, 811, 830
$n = biblioitems.number
$p = biblioitems.volume

All fields might appear multiple times, and the subfields are repeatable too. This So we will not end up with the perfect solution with the current db structure, but columns should be filled more often than not, being helfpul für reports and in other places.
Comment 16 Frank Hansen 2020-04-22 13:16:14 UTC
(In reply to George Veranis from comment #14)
> Propably we should change to 830$n instead of 830$p , based on description
> of the field https://www.loc.gov/marc/bibliographic/bd830.html

Yes, you are right! 830$n since it usually should be a number.
Comment 17 Frank Hansen 2020-04-22 13:24:49 UTC
(In reply to Katrin Fischer from comment #15)
> I think it's good we can map multiple fields now :)
> 
> I've focused here on the change from 440 to 490. Would you all agree for
> this to be an improvement for now, so we could move further refinement to a
> separate bug?
> 
> The patches attached took me quite a while to write, as I am not a script
> wizard and did them manually. If one of you wants to have a go for
> additional changes, please go for it as I will have to foucs on my QA duties
> a bit more and probably won't find the time soon.
> 
> Generally:
> $n = number, 
> $p = part, 
> $v = volume (probably usually a number?)
> 
> The 8xx should usually appear with a 490 for traced series, although I am
> not sure every library sticks to that "ideal" cataloguing. Therefore I think
> mapping 490 is good and it's also needed for untraced series.
> 
> For 8xx we could then do:
> 
> http://www.loc.gov/marc/bibliographic/bd80x83x.html
> 800, 810, 811, 830
> $n = biblioitems.number
> $p = biblioitems.volume
> 
> All fields might appear multiple times, and the subfields are repeatable
> too. This So we will not end up with the perfect solution with the current
> db structure, but columns should be filled more often than not, being
> helfpul für reports and in other places.

I agree to work the 8xx fields in a separate bug since this might be more complicated.
Comment 18 Katrin Fischer 2020-04-22 22:26:49 UTC
Could I persuade one of you to sign off? :)
Comment 19 Bernardo Gonzalez Kriegel 2020-04-23 11:44:28 UTC
Created attachment 103572 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 20 Bernardo Gonzalez Kriegel 2020-04-23 11:44:33 UTC
Created attachment 103573 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 21 Bernardo Gonzalez Kriegel 2020-04-23 11:44:38 UTC
Created attachment 103574 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in es-ES installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 22 Bernardo Gonzalez Kriegel 2020-04-23 11:44:43 UTC
Created attachment 103575 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 23 Bernardo Gonzalez Kriegel 2020-04-23 11:44:47 UTC
Created attachment 103576 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 24 Bernardo Gonzalez Kriegel 2020-04-23 11:44:52 UTC
Created attachment 103577 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 25 Bernardo Gonzalez Kriegel 2020-04-23 11:44:57 UTC
Created attachment 103578 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 26 Bernardo Gonzalez Kriegel 2020-04-23 11:45:02 UTC
Created attachment 103579 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 27 Bernardo Gonzalez Kriegel 2020-04-23 11:45:09 UTC
Created attachment 103580 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 28 Bernardo Gonzalez Kriegel 2020-04-23 11:48:03 UTC
Created attachment 103581 [details] [review]
Bug 7947: follow-up fix 490 subfield visibility (EN)
Comment 29 Bernardo Gonzalez Kriegel 2020-04-23 11:48:07 UTC
Created attachment 103582 [details] [review]
Bug 7947: follow-up fix 490 subfield visibility (DE)
Comment 30 Bernardo Gonzalez Kriegel 2020-04-23 11:48:11 UTC
Created attachment 103583 [details] [review]
Bug 7947: follow-up fix 490 subfield visibility (ES)
Comment 31 Bernardo Gonzalez Kriegel 2020-04-23 11:48:15 UTC
Created attachment 103584 [details] [review]
Bug 7947: follow-up fix 490 subfield visibility (IT)
Comment 32 Bernardo Gonzalez Kriegel 2020-04-23 11:51:14 UTC
(In reply to Katrin Fischer from comment #18)
> Could I persuade one of you to sign off? :)

Hi Katrin, all signed but added 4 follow-up patches to fix visibility of 490, there were some SQL statements that set hidden in some 490 subfields
Comment 33 Katrin Fischer 2020-04-24 06:15:40 UTC
Thx a lot, Bernardo!
Comment 34 Jonathan Druart 2020-05-04 13:52:15 UTC
Comment on attachment 103583 [details] [review]
Bug 7947: follow-up fix 490 subfield visibility (ES)

es-ES has been removed.
Comment 35 Jonathan Druart 2020-05-04 13:52:20 UTC
Comment on attachment 103574 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in es-ES installer

es-ES has been removed.
Comment 36 Jonathan Druart 2020-05-04 13:58:30 UTC
Created attachment 104282 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in en installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 37 Jonathan Druart 2020-05-04 13:58:36 UTC
Created attachment 104283 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in de-DE installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 38 Jonathan Druart 2020-05-04 13:58:43 UTC
Created attachment 104284 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in fr-FR installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 39 Jonathan Druart 2020-05-04 13:58:51 UTC
Created attachment 104285 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in it-IT installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 40 Jonathan Druart 2020-05-04 13:58:56 UTC
Created attachment 104286 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in pl-PL installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 41 Jonathan Druart 2020-05-04 13:59:02 UTC
Created attachment 104287 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in nb-NO installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 3avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 42 Jonathan Druart 2020-05-04 13:59:09 UTC
Created attachment 104288 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in ru-RU installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 43 Jonathan Druart 2020-05-04 13:59:15 UTC
Created attachment 104289 [details] [review]
Bug 7947: Update MARC21 440/490 mapping and visibility in uk-UA installer

440 has been obsoleted in the standard for a long time.
490 is now used for series information.

Changes made here only apply for new installations:
- Hide 440 subfields by default
- Make 490 avx visible by default
- Add mapping biblioitems.seriestitle to 490a
- Add mapping biblioitems.volume to 490v

To test:
- Run the web installer for this language and verify changes
  in all frameworks

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 44 Jonathan Druart 2020-05-04 13:59:21 UTC
Created attachment 104290 [details] [review]
Bug 7947: (follow-up) fix 490 subfield visibility (EN)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 45 Jonathan Druart 2020-05-04 13:59:27 UTC
Created attachment 104291 [details] [review]
Bug 7947: (follow-up) fix 490 subfield visibility (DE)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 46 Jonathan Druart 2020-05-04 13:59:33 UTC
Created attachment 104292 [details] [review]
Bug 7947: (follow-up) fix 490 subfield visibility (IT)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 47 Martin Renvoize 2020-05-05 10:04:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 48 Joy Nelson 2020-05-11 20:59:27 UTC
not backported to 19.11.x
does not apply